KDE 4.9 PyKDE API Reference

- KDE's Python API

# RemoteService Class Reference

`from PyKDE4.dnssd import *`

Inherits: QObject,
Namespace: DNSSD

## Detailed Description

RemoteService remoteservice.h DNSSD/RemoteService Describes a service published over DNS-SD, typically on a remote machine

This class allows delayed or asynchronous resolution of services. As the name suggests, the service is normally on a remote machine, but the service could just as easily be published on the local machine.

RemoteService instances are normally provided by ServiceBrowser, but can be used to resolve any service if you know the name, type and domain for it.

Author:
  Jakub Stachowski

See also:
  ServiceBrowser

## Signals

| resolved (bool successful)

## Methods

| __init__ (self, QString name, QString type, QString domain)
bool | isResolved (self)
bool | resolve (self)
| resolveAsync (self)
| virtual_hook (self, int id, void data)

## Signal Documentation

resolved | ( | bool | successful
| ) |  |  |

Emitted when resolving is complete

If operating in asynchronous mode this signal can be emitted several times (when the hostName or port of the service changes).

Parameters:

  | successful | true if the hostName and port were successfully resolved, false otherwise

Signal syntax:
  `QObject.connect(source, SIGNAL("resolved(bool)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QString | name,
|  | QString | type,
|  | QString | domain
| ) |  |  |

Creates an unresolved RemoteService representing the service with the given name, type and domain

Parameters:

  | name | the name of the service
  | type | the type of the service (see ServiceBrowser.ServiceBrowser())
  | domain | the domain of the service

See also:
  ServiceBrowser.isAvailable()

bool isResolved | ( |  | self ) |

Whether the service has been successfully resolved

Returns:
  true if hostName() and port() will return valid values, false otherwise

bool resolve | ( |  | self ) |

Resolves the host name and port of service synchronously

The host name is not resolved into an IP address - use KResolver for that.

resolved(bool) is emitted before this function is returned.

resolve() will not cause RemoteService to monitor for changes in the hostname or port of the service.

Returns:
  true if successful, false on failure

See also:
  resolveAsync(), hostName(), port()

resolveAsync | ( |  | self ) |

Resolves the host name and port of service asynchronously

The host name is not resolved into an IP address - use KResolver for that.

The resolved(bool) signal will be emitted when the resolution is complete, or when it fails.

Note that resolved(bool) may be emitted before this function returns in case of immediate failure.

RemoteService will keep monitoring the service for changes in hostname and port, and re-emit resolved(bool) when either changes.

See also:
  resolve(), hostName(), port()

virtual_hook | ( | self, |
|  | int | id,
|  | void | data
| ) |  |  |